package utils

import (
    "os"
)

// Returns true if the specified file exists, false otherwise.
func FileExists(filename string) bool {
    info, err := os.Stat(filename)
    if os.IsNotExist(err) {
       return false
    }
    return !info.IsDir()
}
