package version

import (
    "strconv"
)

const (
    major  = 1
    minor  = 9
    bugfix = 3
)

type Version struct {
    major int
    minor int
    bugfix int
}

var version Version = FromInt(major, minor, bugfix)

func FromInt(major, minor, bugfix int) Version {
    return Version{major, minor, bugfix}
}

func Get() Version {
    return version
}

func (v Version) String() string {
    return strconv.Itoa(v.major)+"."+strconv.Itoa(v.minor)+"."+strconv.Itoa(v.bugfix)
}
