package router

import (
    "net/http"
    "nexus-server/version"
    "github.com/labstack/echo/v4"
)

type RouterVersion struct {
}

func NewRouterVersion() *RouterVersion {
    return &RouterVersion{}
}

// Retrives the version number.
// curl --cacert ca.pem -X GET http://localhost:1077/version
func (r *RouterVersion)GetVersion(c echo.Context) error {
    return c.JSON(http.StatusOK, echo.Map{"version": version.Get().String()})
}
